[unixODBC-support] Cannot use unixODBC 2.2.14 with MySQL ODBC connector 5.1

Itachi Uchiha itachi8558 at yahoo.com.vn
Tue May 26 02:28:24 BST 2009


Hi everyone,

I am new to unixODBC and I had a problem when I tried to use it with the MySQL ODBC driver.

Although I managed to connect to a MySQL database using unixODBC 2.2.11 and MySQL driver 3.51, I could not do the same thing with unixODBC 2.2.14 and MySQL driver 5.1. (My OS is Ubuntu 8.04)

Here are the steps I did to install and setup them, and the error I got:

- I first Installed unixODBC 2.2.14 from source. (configure with --enable-gui=no and --enable-stats=no)
- I then Installed MySQL ODBC driver 5.1 (from the package mysql-connector-odbc-5.1.5-linux-x86-32bit.tar.gz). I just copied the libraries to /usr/lib and then registered the driver with unixODBC using myodbc-installer. These 2 process were successful.
- I then started the MySQL server (version 5.0.51) (I logged in as root) and created a database. After that I used myodbc-installer to create a DSN for the database. This process was successful too.
- Finally I tried to connect to the database using isql, but I got the error: "segmentation fault"

Could you please tell me where the problem is and how to fix it?

Thanks in advance!

Best regards,

Itachi



      Tốc độ nhanh, miễn quảng cáo, lưu trữ vô hạn - Yahoo! Mail mang đến cho bạn tất cả. http://vn.mail.yahoo.com
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mailman.unixodbc.org/pipermail/unixodbc-support/attachments/20090526/d618454c/attachment.html>


More information about the unixODBC-support mailing list